## kiwi 1.9.22-1

=== doc/Makefile ===
# Tweak these to your local configuration. Note that mkhowto requires
# LaTeX and latex2html.

MKHOWTO=/mondo/src/PYTHON/2.4.1/Doc/tools/mkhowto

# No user-serviceable parts below this line

STYLE="PRE { border-left: 1px dashed blue;		\
		  border-right: 1px dashed blue;		\
		  border-top: 1px dashed blue;			\
		  border-bottom: 1px dashed blue;		\
		  padding: 1em; margin-right: 2.5em;	\
		  margin-left: 2.5em; }"
NAME=Kiwi
URL=http://www.async.com.br/projects/kiwi/
FIXIMG=perl -p -i -e 's/WIDTH=\"[0-9]+\" HEIGHT=\"[0-9]+\"//'

all: #api howto (not working for now)

howto: howto.tex
	@echo Creating howto
	@mkdir -p howto
	@$(MKHOWTO) -k --image-type png --a4 
	@echo $(STYLE) >> howto/howto.css
	@latex howto
	@latex howto
	@dvips howto
	@$(FIXIMG) howto/*.html
	@echo Copying examples and images
	@cp images/diary.png     howto/img1.png
	@cp images/simple.png    howto/img2.png
	@cp images/london.png    howto/img3.png
	@cp images/london2.png   howto/img4.png
	@cp images/shell1.png    howto/img5.png
	@cp images/shell2.png    howto/img6.png
	@cp images/faren.png     howto/img7.png
	@cp images/simple2.png   howto/img8.png
	@cp images/simple3.png   howto/img9.png
	@cp images/news2.png     howto/img10.png
	@cp images/news3.png     howto/img11.png
# 	@cp images/newsform.png  howto/img12.png
# 	@cp images/newsform2.png howto/img13.png
# 	@cp images/newsform4.png howto/img14.png
	@cp ../examples/framework/person/Person.glade howto/
	@cp ../examples/framework/faren/faren.glade howto/

api:
#	@echo Creating API documentation
#	@cd .. && pydoctor --project-name="Kiwi" --add-package=kiwi --make-html
#	@mv ../apidocs api

clean:
	rm -rf api/ howto/ *.log *.aux *.l2h *.dvi *.ps *.bak *~

.PHONY: clean

## kiwi 1.9.14-1

=== debian/changelog ===
kiwi (1.9.14-1) dapper; urgency=low

  * New release

 -- Johan Dahlin <jdahlin@async.com.br>  Fri, 23 Mar 2007 15:56:48 -0300

kiwi (1.9.13-4) dapper; urgency=low

  * Provides/Conflicts with python-kiwi. Set my mail.

 -- Johan Dahlin <jdahlin@async.com.br>  Tue,  6 Feb 2007 17:54:35 -0200

kiwi (1.9.13-3) dapper; urgency=low

  * Don't depend on python-gobject explicitly, so the packages work on etch

 -- Johan Dahlin <jdahlin@async.com.br>  Tue,  6 Feb 2007 17:11:08 -0200

kiwi (1.9.13-2) dapper; urgency=low

  * New release.

 -- Johan Dahlin <jdahlin@async.com.br>  Thu,  1 Feb 2007 15:19:13 -0200

kiwi (1.9.12-1) dapper; urgency=low

  * New release.

 -- Johan Dahlin <jdahlin@async.com.br>  Mon, 29 Jan 2007 16:40:12 -0200

kiwi (1.9.11-2) dapper; urgency=low

  * Replaces: python-kiwi for debian compatibility

 -- Johan Dahlin <jdahlin@async.com.br>  Wed, 11 Oct 2006 12:06:02 -0300

kiwi (1.9.11-1) dapper; urgency=low

  * New upstream release:
  * Fix doc package conflict

 -- Johan Dahlin <jdahlin@async.com.br>  Mon,  9 Oct 2006 15:00:52 -0300

kiwi (1.9.10-1) dapper; urgency=low

  * New release, docs in a separate package

 -- Johan Dahlin <jdahlin@async.com.br>  Mon, 18 Sep 2006 10:52:19 -0300

kiwi (1.9.9-2) dapper; urgency=low

  * Update dependencies

 -- Johan Dahlin <jdahlin@async.com.br>  Mon, 28 Aug 2006 12:22:36 -0300

kiwi (1.9.9-1) dapper; urgency=low

   * New upstream release.

 -- Johan Dahlin <jdahlin@async.com.br>  Fri, 25 Aug 2006 16:43:01 -0300

kiwi (1.9.8-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * debian/kiwi.install:
    - updated.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 25 Apr 2006 22:16:02 +0200

kiwi (1.9.3-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - UI Test framework
    - Add a hyperlink widget (Ali Afshar)
    - Add a selectable box
    - Currency datatype
    - Simple dialogs
    - Logging helpers
    - Validation improvements
    - Documentation improvemnets

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 15 Dec 2005 23:06:04 +0100

kiwi (1.9.2-0ubuntu1) dapper; urgency=low

  * Initial release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 01 Dec 2005 17:55:17 +0100

=== debian/control ===
Source: kiwi
Section: python
Priority: optional
Maintainer: Johan Dahlin <jdahlin@async.com.br>
Build-Depends: debhelper (>= 4.2.28)
Build-Depends-Indep: cdbs, python2.5-dev (>= 2.5.1-1osso2), python2.5-gtk2-dev (>= 2.10.3-1osso5)
Standards-Version: 3.6.2

Package: kiwi
Architecture: all
Depends: python2.5-gtk2 (>= 2.10.3-1osso5)
Suggests: glade | gazpacho, kiwi-examples
Replaces: python-kiwi
Provides: python-kiwi
Conflicts: python-kiwi
Description: Framework for developing graphical applications in Python
 Kiwi is a framework composed of a set of modules, which eases Python
 development using PyGTK. Kiwi makes graphical applications *much* faster
 to code, with good architecture and more Python-like bindings; it also
 offers extended widgets based upon the original PyGTK widgets.
 .
 Homepage: http://www.async.com.br/projects/kiwi/


Package: kiwi-examples
Architecture: all
Recommends: kiwi
Description: Framework for developing graphical applications in Python (examples)
 Kiwi is a framework composed of a set of modules, which eases Python
 development using PyGTK. Kiwi makes graphical applications *much* faster
 to code, with good architecture and more Python-like bindings; it also
 offers extended widgets based upon the original PyGTK widgets.
 .
 This package installs some examples to
 /usr/share/doc/kiwi-examples/
 .
 Homepage: http://www.async.com.br/projects/kiwi/


Package: kiwi-doc
Architecture: all
Recommends: kiwi
Description: Framework for developing graphical applications in Python (examples)
 Kiwi is a framework composed of a set of modules, which eases Python
 development using PyGTK. Kiwi makes graphical applications *much* faster
 to code, with good architecture and more Python-like bindings; it also
 offers extended widgets based upon the original PyGTK widgets.
 .
 This package installs documentation
 /usr/share/doc/kiwi-docs/
 .
 Homepage: http://www.async.com.br/projects/kiwi/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

clean::
	find . -name '*.pyc' | xargs rm -f

binary-install::
	dh_python
	chmod ugo+x debian/tmp/usr/lib/python2.5/site-packages/site-packages/kiwi/i18n/msgfmt.py

## kiwi 1.9.22

=== debian/changelog ===
kiwi (1.9.22-4) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Depend on newer version of pydoctor that supports SOURCE_DATE_EPOCH,
    drop custom specification of --buildtime to pydoctor.
  * Add debian/.gitignore file.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 07 Dec 2015 23:44:36 +0000

kiwi (1.9.22-3) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.6.
  * Migrate to 3.0 (quilt).
  * Drop empty patch 02_disable_pydoctor.patch.
  * Add patch 05_pydoctor_build_time.diff: Pass package change time to
    pydoctor, to create reproducible builds. Closes: #784586
  * Migrate to dh_python2.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 06 May 2015 22:39:09 +0000

kiwi (1.9.22-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn
    - bump python-pydoctor to requre >= 0.2-4.1, this version is needed to build
      kiwi with Python 2.6 as default; thanks to Jakub Wilk for the report;
      Closes: #571492
    - replace b-d-i on python-all-dev with python-all, since building arch:all
    - added misc:Depends to binary package Depends
  * debian/python-kiwi.doc-base.api
    - set section to Programming/Python
  * debian/compat
    - set compat version to 5
  * debian/preinst
    - 'set -e' explicitly

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Fri, 05 Mar 2010 19:22:42 +0100

kiwi (1.9.22-1) unstable; urgency=low

  * New upstream release
  * debian/patches/03_fix_gazpacholoader.diff: removed patch
    applied upstream.
  * debian/control:
    - removed unneeded -1 from some build-depency versions
    - removed build-dependency on xbase-clients

 -- Goedson Teixeira Paixao <goedson@debian.org>  Mon, 07 Jul 2008 17:12:00 -0300

kiwi (1.9.21-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Goedson Teixeira Paixao ]
  * New upstream release
  * debian/control: depend on python-pkg-resources instead of
    python-setuptools (Closes: #468717).

 -- Goedson Teixeira Paixao <goedson@debian.org>  Mon, 07 Apr 2008 10:17:44 -0300

kiwi (1.9.19-2) unstable; urgency=low

  * debian/rules: Move API documentation from /usr/share/doc/kiwi to
    /usr/share/doc/python-kiwi
  * debian/python-kiwi.doc-base.api: Fix path of index file.
  * debian/dirs: Added /usr/share/doc/python-kiwi

 -- Goedson Teixeira Paixao <goedson@debian.org>  Tue, 13 Nov 2007 11:26:32 -0200

kiwi (1.9.19-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  [ Piotr Ozarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Goedson Teixeira Paixao ]
  * New upstream release.
  * debian/rules: rebuild documentation.
  * debian/control: added python-pydoctor to Build-Depends-Indep
  * debian/patches/02_disable_pydoctor.diff: Added empty patch to override
    unneded patch present in upstream tarball.
  * debian/patches/03_fix_gazpacholoader.diff: Fix upstream bug #3586. Thanks
    Brad Crittenden for the patch.

 -- Goedson Teixeira Paixao <goedson@debian.org>  Mon, 12 Nov 2007 20:35:41 -0200

kiwi (1.9.16-1) unstable; urgency=low

  * New upstream release.

 -- Goedson Teixeira Paixao <goedson@debian.org>  Wed, 18 Jul 2007 15:21:32 -0300

kiwi (1.9.15-1) unstable; urgency=low

  [ Piotr Ozarowski ]
  * New python-support handles egg's directory name correctly
    - bump python-support required version
    - remove mv part from debian/rules

  [ Goedson Paixao ]
  * New upstream release.
  * New Maintainer (Closes: #414259)
  * Added Python Modules Team to Uploaders.
  * debian/patches/04_avoid_building_helper_module.diff:
    - updated
  * debian/patches/02_avoid_version_checking.diff:
    - updated
  * debian/patches/03_epyrun_use_local_modules.diff:
    - removed since it's not needed anymore
  * Updated the watch file
  * Do not rebuild the api documentation since it uses
    pydoctor for this
  * debian/control:
    - Removed obsolete XS-Python-Version and XB-Python-Version fields

 -- Goedson Teixeira Paixao <goedson@debian.org>  Wed, 30 May 2007 16:10:21 -0300

kiwi (1.9.13-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Renaming .egg-info is no longer necessary.
    Closes: #423975.

 -- Matej Vela <vela@debian.org>  Tue, 15 May 2007 10:41:47 +0200

kiwi (1.9.13-3) unstable; urgency=medium

  * QA upload.
  * Remove duplicate docs from /usr/share/doc/kiwi.  Closes: #419166.
  * Remove Uploaders.

 -- Matej Vela <vela@debian.org>  Sat, 14 Apr 2007 11:45:08 +0200

kiwi (1.9.13-2) unstable; urgency=low

  * Orphaning package.

 -- Gustavo Noronha Silva <kov@debian.org>  Sat,  3 Mar 2007 13:15:34 -0300

kiwi (1.9.13-1) unstable; urgency=low

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field

  [ Gustavo Noronha ]
  * New upstream release
  * debian/patches/03_epyrun_use_local_modules.diff:
  - updated
  * debian/patches/04_avoid_building_helper_module.diff:
  - added, to make the _kiwi arch-dependant module not be built

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 14 Feb 2007 23:40:38 -0200

kiwi (1.9.9-2) unstable; urgency=high

  * debian/control:
  - also need to build-dep-indep on python-glade2 (because the doc
    generation wants it) and xfonts-base (Xvfb needs this one because of
    the 'fixed' font); will need a way of import'ing gtk without a
    DISPLAY; anyone? (Closes: #393874)
  * urgency high because it fixes a RC bug

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 19 Oct 2006 00:12:34 -0300

kiwi (1.9.9-1) unstable; urgency=low

  * New upstream release
  * debian/watch:
  - updated watch file for the new download location
  * debian/control:
  - add XS-Python-Version, since vorlon convinced me of its
    importance
  * debian/control, debian/rules, debian/patches/01_avoid_building_howto.diff,
    debian/patches/03_epyrun_use_local_modules.diff,


=== debian/control ===
Source: kiwi
Section: python
Priority: optional
Maintainer: Goedson Teixeira Paixao <goedson@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 5.0.37.2), python, python-setuptools (>= 0.6b3), dh-python
Build-Depends-Indep: python-all (>= 2.6.6-3), python-glade2 (>= 2.8.6), python-gtk2 (>= 2.8.2-3.1), python-epydoc (>= 2.1-11), python-twisted-core (>= 2.4.0), xvfb, xfonts-base, python-pydoctor (>= 0.5+git20151204-1)
Homepage: http://www.async.com.br/projects/kiwi/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/kiwi.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/kiwi.git
Standards-Version: 3.9.6
X-Python-Version: >= 2.4

Package: python-kiwi
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.8.2-3.1), python-pkg-resources (>= 0.6b3)
Enhances: gazpacho
Description: a graphical framework to construct simple UI
 Kiwi is a framework and a set of enhanced PyGTK widgets designed to
 make building programs with graphical interfaces both easy to write
 and easy to maintain.
 .
 Kiwi consists of a set of classes and wrappers for PyGTK that were
 developed to provide a sort of framework for applications. Fully
 object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple,
 practical way to build forms, windows and widgets that transparently
 access and display your object data.
 .
 Kiwi is inspired by Allen Holub's Visual Proxy.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

build/python-kiwi::
	cd doc && $(MAKE) api

install/python-kiwi::
	mv debian/python-kiwi/usr/share/doc/kiwi/api debian/python-kiwi/usr/share/doc/python-kiwi/api
	rm -rf debian/python-kiwi/usr/share/doc/kiwi

clean::
	cd doc && $(MAKE) clean
	-rm -rf kiwi.egg-info
	-find . -name \*.mo -exec rm {} \;

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/kiwi/([\d\.]+)/kiwi-(.*)\.tar\.gz

## kiwi 1.9.22-1

=== debian/control ===
Source: kiwi
Section: python
Priority: optional
Maintainer: Goedson Teixeira Paixao <goedson@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python, python-setuptools (>= 0.6b3)
Build-Depends-Indep: python-all-dev (>= 2.3.5-10), python-glade2 (>= 2.8.6), python-gtk2 (>= 2.8.2-3.1), python-support (>= 0.6.4), python-twisted-core (>= 2.4.0)
Homepage: http://www.async.com.br/projects/kiwi/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/kiwi/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/kiwi/trunk/?op=log
Standards-Version: 3.7.2

Package: python-kiwi
Architecture: all
Depends: ${python:Depends}, python-gtk2 (>= 2.8.2-3.1), python-pkg-resources (>= 0.6b3)
Enhances: gazpacho
Description: a graphical framework to construct simple UI
 Kiwi is a framework and a set of enhanced PyGTK widgets designed to
 make building programs with graphical interfaces both easy to write
 and easy to maintain.
 .
 Kiwi consists of a set of classes and wrappers for PyGTK that were
 developed to provide a sort of framework for applications. Fully
 object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple,
 practical way to build forms, windows and widgets that transparently
 access and display your object data.
 .
 Kiwi is inspired by Allen Holub's Visual Proxy.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport
DEB_PYTHON_COMPILE_VERSION := 2.5
cdbs_python_current_binary := python2.5
cdbs_python_compile_version := 2.5

PATH := /usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE = /usr/bin/python
export SBOX_REDIRECT_IGNORE

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_COMPRESS_EXCLUDE += .py .glade .gladep
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

build/python-kiwi::
	cd doc && $(MAKE) api

install/python-kiwi::
	#mv debian/python-kiwi/usr/share/doc/kiwi/api debian/python-kiwi/usr/share/doc/python-kiwi/api
	rm -rf debian/python-kiwi/usr/share/doc/kiwi

clean::
	cd doc && $(MAKE) clean
	-rm -rf kiwi.egg-info
	-find . -name \*.mo -exec rm {} \;

## kiwi 9.24.45

=== debian/changelog ===
kiwi (9.24.45-1ubuntu1) kinetic; urgency=medium

  * Drop riscv64 as an architecture for kiwi-dracut-oem-dump, until
    kexec-tools are appropriately available on that architecture
    (LP: #1988966)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 16 Sep 2022 14:08:43 -0600

kiwi (9.24.45-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 27 Jul 2022 12:21:25 +0200

kiwi (9.24.44-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 30 Jun 2022 15:25:25 +0200

kiwi (9.24.43-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 16 Jun 2022 08:29:13 +0200

kiwi (9.24.39-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 07 Jun 2022 13:46:12 +0200

kiwi (9.24.36-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 21 May 2022 17:01:09 +0200

kiwi (9.24.35-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 09 May 2022 11:13:36 +0200

kiwi (9.24.32-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 27 Apr 2022 13:19:16 +0200

kiwi (9.24.31-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 25 Apr 2022 10:54:24 +0200

kiwi (9.24.30-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 29 Mar 2022 16:41:20 +0200

kiwi (9.24.29-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 21 Mar 2022 08:36:26 +0100

kiwi (9.24.27-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 04 Mar 2022 12:18:28 +0100

kiwi (9.24.20-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 30 Jan 2022 11:26:45 +0100

kiwi (9.24.19-1) unstable; urgency=medium

  * New upstream release
  * Fix grub package dependencies for kiwi-systemdeps-bootloaders
    (Closes: #1004454)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 29 Jan 2022 12:59:03 +0100

kiwi (9.24.12-1) unstable; urgency=medium

  * Initial release (Closes: #994231)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 26 Jan 2022 12:01:08 +0100

=== debian/control ===
Source: kiwi
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Uploaders: Marcus Schäfer <marcus.schaefer@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               passwd,
               python3-all,
               python3-anymarkup,
               python3-docopt,
               python3-lxml,
               python3-mock,
               python3-pytest,
               python3-pyxattr,
               python3-requests,
               python3-setuptools,
               python3-simplejson,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-testinfra,
               python3-yaml
Standards-Version: 4.6.0
Homepage: https://osinside.github.io/kiwi
Vcs-Browser: https://salsa.debian.org/debian/kiwi
Vcs-Git: https://salsa.debian.org/debian/kiwi.git
Rules-Requires-Root: no

Package: kiwi
Architecture: any
Depends: debootstrap,
         screen,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Description: Flexible OS Image and Appliance Builder
 The KIWI Image System provides an operating system image builder
 for Linux supported hardware platforms as well as for virtualization
 and cloud systems.

Package: kiwi-dracut-lib
Architecture: any
Depends: bc,
         btrfs-progs,
         cryptsetup,
         dmsetup,
         dracut,
         dracut-network,
         e2fsprogs,
         gdisk,
         lvm2,
         mdadm,
         parted,
         xz-utils,
         ${misc:Depends}
Description: KIWI - Dracut kiwi Library
 This package contains a collection of methods to provide a library
 for tasks done in other kiwi dracut modules.

Package: kiwi-dracut-oem-repart
Architecture: any
Depends: kiwi-dracut-lib, ${misc:Depends}
Description: KIWI - Dracut module for oem(repart) image type
 This package contains the kiwi-repart dracut module which is
 used to repartition the oem disk image to the current disk
 geometry according to the setup in the kiwi image configuration.

Package: kiwi-dracut-oem-dump
# Removing riscv64 until LP: #1988966 is appropriately resolved
Architecture: amd64 arm64 armhf ppc64el s390x
Depends: gawk, kexec-tools, kiwi-dracut-lib, kpartx, ${misc:Depends}
Description: KIWI - Dracut module for oem(install) image type
 This package contains the kiwi-dump and kiwi-dump-reboot dracut
 modules which is used to install an oem image onto a target disk.
 It implements a simple installer which allows for user selected
 target disk or unattended installation to target. The source of
 the image to install could be either from media (CD/DVD/USB) or
 from remote.

Package: kiwi-dracut-live
Architecture: any
Depends: dialog,
         dmsetup,
         dracut,
         dracut-network,
         e2fsprogs,
         parted,
         xfsprogs,
         xorriso,
         ${misc:Depends}
Description: KIWI - Dracut module for iso(live) image type
 This package contains the kiwi-live dracut module which is
 used for booting ISO (live) images built with KIWI.

Package: kiwi-dracut-overlay
Architecture: any
Depends: kiwi-dracut-lib, ${misc:Depends}
Description: KIWI - Dracut module for VMX (+overlay) image type
 This package contains the kiwi-overlay dracut module which is
 used for booting VMX images built with KIWI and configured to
 use an overlay root filesystem.

Package: kiwi-systemdeps-core
Architecture: any
Depends: gnupg, mtools, openssl, rsync, ${misc:Depends}
Description: KIWI - Core host system dependencies
 This meta-package installs the necessary system dependencies
 to run KIWI.

Package: kiwi-systemdeps-bootloaders
Architecture: any
Depends: grub-coreboot-bin [amd64 i386 x32],
         grub-efi-amd64-bin [amd64 i386 x32],
         grub-efi-arm-bin [armel armhf],
         grub-efi-arm64-bin [arm64],
         grub-efi-ia32-bin [amd64 i386 x32],
         grub-efi-ia64-bin [ia64],
         grub-ieee1275-bin [amd64 i386 powerpc ppc64 ppc64el sparc64 x32],
         grub-pc-bin [amd64 i386 x32],
         grub-uboot-bin [armel armhf],
         grub-xen-bin [amd64 i386],
         grub-yeeloong-bin [mipsel],
         kiwi-systemdeps-core,
         s390-tools [s390x],
         ${misc:Depends}
Description: KIWI - host requirements for configuring bootloaders
 Host setup helper to pull in all packages required/useful on
 the build host for configuring bootloaders on images

Package: kiwi-systemdeps-containers
Architecture: any
Depends: buildah, skopeo, ${misc:Depends}
Description: KIWI - host requirements for container images
 Host setup helper to pull in all packages which are required
 or useful on the build host to build container images such
 as docker.

Package: kiwi-systemdeps-iso-media
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-core,
         kiwi-systemdeps-filesystems,
         syslinux [amd64],
         xorriso,
         ${misc:Depends}
Description: KIWI - host requirements for live and install iso images
 Host setup helper to pull in all packages which are required or
 useful on the build host to build live and install iso images.

Package: kiwi-systemdeps-filesystems
Architecture: any
Depends: btrfs-progs,
         cryptsetup,
         dosfstools,
         e2fsprogs,
         gdisk,
         kiwi-systemdeps-core,
         kpartx,
         lvm2,
         parted,
         qemu-utils,
         squashfs-tools,
         xfsprogs,
         ${misc:Depends}
Description: KIWI - host requirements for filesystems
 Host setup helper to pull in all packages which are required or
 useful on the build host to build filesystem images.

Package: kiwi-systemdeps-disk-images
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-filesystems,
         kiwi-systemdeps-iso-media,
         ${misc:Depends}
Description: KIWI - host requirements for disk images
 Host setup helper to pull in all packages which are required
 or useful on the build host to build disk images.

Package: kiwi-systemdeps
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-containers,
         kiwi-systemdeps-core,
         kiwi-systemdeps-disk-images,
         kiwi-systemdeps-filesystems,
         kiwi-systemdeps-iso-media,
         ${misc:Depends}
Description: KIWI - Host system dependencies
 Host setup helper to pull in all packages which are required
 or useful to leverage all functionality in KIWI.

## kiwi 9.24.56

=== Makefile ===
buildroot = /
docdir = /usr/share/doc/packages
python_version = 3
python_lookup_name = python$(python_version)
python = $(shell which $(python_lookup_name))

LC = LC_MESSAGES

version := $(shell \
    $(python) -c \
    'from kiwi.version import __version__; print(__version__)'\
)

.PHONY: tools
tools:
	# apart from python sources there are also some legacy
	# C tools used in custom kiwi boot descriptions.
	# Note: These information will be missing when installed from pip
	${MAKE} -C tools all

install_dracut:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d
	cp -a dracut/modules.d/* ${buildroot}usr/lib/dracut/modules.d

install_package_docs:
	install -d -m 755 ${buildroot}${docdir}/python-kiwi
	install -m 644 doc/build/latex/kiwi.pdf \
		${buildroot}${docdir}/python-kiwi/kiwi.pdf
	install -m 644 LICENSE \
		${buildroot}${docdir}/python-kiwi/LICENSE
	install -m 644 README.rst \
		${buildroot}${docdir}/python-kiwi/README

install:
	# apart from python sources there are also
	# the C tools, the manual pages and the completion
	# Note: These information will be missing when installed from pip
	${MAKE} -C tools buildroot=${buildroot} install
	# manual pages
	install -d -m 755 ${buildroot}usr/share/man/man8
	for man in doc/build/man/*.8; do \
		install -m 644 $$man ${buildroot}usr/share/man/man8 ;\
	done
	# completion
	install -d -m 755 ${buildroot}usr/share/bash-completion/completions
	$(python) helper/completion_generator.py \
		> ${buildroot}usr/share/bash-completion/completions/kiwi-ng
	# kiwi default configuration
	install -d -m 755 ${buildroot}etc
	install -m 644 kiwi.yml ${buildroot}etc/kiwi.yml

tox:
	tox "-n 5"

kiwi/schema/kiwi.rng: kiwi/schema/kiwi.rnc
	# whenever the schema is changed this target will convert
	# the short form of the RelaxNG schema to the format used
	# in code and auto generates the python data structures
	trang -I rnc -O rng kiwi/schema/kiwi.rnc kiwi/schema/kiwi.rng
	# XML parser code is auto generated from schema using generateDS
	# http://pythonhosted.org/generateDS
	# ---
	# a) modify arch-name xsd:token pattern to be generic because
	#    generateDS translates the regular expression into another
	#    expression which is different and wrong compared to the
	#    expression in the schema
	cat kiwi/schema/kiwi.rnc | sed -e \
		s'@arch-name = xsd:token.*@arch-name = xsd:token {pattern = ".*"}@' >\
		kiwi/schema/kiwi_modified_for_generateDS.rnc
	# convert schema rnc format into xsd format and call generateDS
	trang -I rnc -O xsd kiwi/schema/kiwi_modified_for_generateDS.rnc \
		kiwi/schema/kiwi_for_generateDS.xsd
	generateDS.py -f --external-encoding='utf-8' --no-dates --no-warnings \
		-o kiwi/xml_parse.py kiwi/schema/kiwi_for_generateDS.xsd
	rm kiwi/schema/kiwi_for_generateDS.xsd
	rm kiwi/schema/kiwi_modified_for_generateDS.rnc

obs_test_status:
	./.obs_test_status

valid:
	for i in `find build-tests test kiwi -name *.xml -o -name *.kiwi`; do \
		if [ ! -L $$i ];then \
			xsltproc -o $$i.converted kiwi/xsl/master.xsl $$i && \
			mv $$i.converted $$i ;\
		fi \
	done

git_attributes:
	# the following is required to update the $Format:%H$ git attribute
	# for details on when this target is called see setup.py
	git archive HEAD kiwi/version.py | tar -x

clean_git_attributes:
	# cleanup version.py to origin state
	# for details on when this target is called see setup.py
	git checkout kiwi/version.py

build: clean tox
	# create setup.py variant for rpm build.
	# delete module versions from setup.py for building an rpm
	# the dependencies to the python module rpm packages is
	# managed in the spec file
	sed -ie "s@>=[0-9.]*'@'@g" setup.py
	# build the sdist source tarball
	$(python) setup.py sdist
	# restore original setup.py backed up from sed
	mv setup.pye setup.py
	# provide rpm source tarball
	mv dist/kiwi-${version}.tar.gz dist/python-kiwi.tar.gz
	# append PDF documentation to tarball
	gzip -d dist/python-kiwi.tar.gz
	mkdir -p kiwi-${version}/doc/build/latex
	mv doc/build/latex/kiwi.pdf kiwi-${version}/doc/build/latex
	tar -uf dist/python-kiwi.tar kiwi-${version}/doc/build/latex/kiwi.pdf
	gzip dist/python-kiwi.tar
	rm -rf kiwi-${version}
	# update rpm changelog using reference file
	helper/update_changelog.py --since package/python-kiwi.changes > \
		dist/python-kiwi.changes
	helper/update_changelog.py --file package/python-kiwi.changes >> \
		dist/python-kiwi.changes
	# update package version in spec file
	cat package/python-kiwi-spec-template | sed -e s'@%%VERSION@${version}@' \
		> dist/python-kiwi.spec
	# update package version in PKGBUILD file
	md5sums=$$(md5sum dist/python-kiwi.tar.gz | cut -d" " -f1); \
	cat package/python-kiwi-pkgbuild-template | sed \
		-e s'@%%VERSION@${version}@' \
		-e s"@%%MD5SUM@$${md5sums}@" > dist/PKGBUILD
	# provide rpm rpmlintrc
	cp package/python-kiwi-rpmlintrc dist

pypi: clean tox
	$(python) setup.py sdist upload

clean: clean_git_attributes
	$(python) setup.py clean
	rm -rf doc/build
	rm -rf doc/dist
	${MAKE} -C tools clean

=== debian/changelog ===
kiwi (9.24.56-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.6.2 in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 22 Dec 2022 17:08:14 +0100

kiwi (9.24.54-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 11 Dec 2022 20:31:33 +0100

kiwi (9.24.51-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 30 Nov 2022 10:40:19 +0100

kiwi (9.24.49-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 03 Nov 2022 12:05:44 +0100

kiwi (9.24.48-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 08 Sep 2022 09:21:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kiwi
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Marcus Schäfer <marcus.schaefer@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -21,7 +20,7 @@
                python3-sphinx-rtd-theme,
                python3-testinfra,
                python3-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://osinside.github.io/kiwi
 Vcs-Browser: https://salsa.debian.org/debian/kiwi
 Vcs-Git: https://salsa.debian.org/debian/kiwi.git
@@ -68,8 +67,7 @@
  geometry according to the setup in the kiwi image configuration.
 
 Package: kiwi-dracut-oem-dump
-# Removing riscv64 until LP: #1988966 is appropriately resolved
-Architecture: amd64 arm64 armhf ppc64el s390x
+Architecture: any
 Depends: gawk, kexec-tools, kiwi-dracut-lib, kpartx, ${misc:Depends}
 Description: KIWI - Dracut module for oem(install) image type
  This package contains the kiwi-dump and kiwi-dump-reboot dracut

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYTHONPATH = $(CURDIR)

override_dh_auto_test:
ifeq ($(filter nocheck nobench, $(DEB_BUILD_OPTIONS)),)
	/bin/sh -c "cd test/unit && pytest-3"
endif

override_dh_auto_build:
	make tools
	dh_auto_build
	make -C doc man

override_dh_auto_install:
	make buildroot=debian/tmp/ install install_dracut
	dh_auto_install
	rm -f debian/tmp/usr/bin/kiwicompat

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## kiwi 9.25.11

=== debian/changelog ===
kiwi (9.25.11-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable.  Remaining changes:
    * d/control: Drop riscv64 as an architecture for kiwi-dracut-oem-dump,
      until kexec-tools are appropriately available on that architecture

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 14 Aug 2023 10:32:13 -0600

kiwi (9.25.11-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 03 Aug 2023 11:10:58 +0200

kiwi (9.25.5-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable.  Remaining changes:
    * d/control: Drop riscv64 as an architecture for kiwi-dracut-oem-dump,
      until kexec-tools are appropriately available on that architecture

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 03 Aug 2023 10:37:36 -0600

kiwi (9.25.5-1) unstable; urgency=medium

  * New upstream release
  * Add new kiwi-tools package in debian/control
  * Add debian/kiwi-tools.install for new kiwi-tools package
  * Add new kiwi-dracut-verity package in debian/control
  * Add debian/kiwi-dracut-verity.install for new kiwi-dracut-verity package
  * Update buildroot path to $(CURDIR)/debian/tmp/ in debian/rules

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 28 Jul 2023 13:15:54 +0200

kiwi (9.24.56-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable.  Remaining changes:
    * d/control: Drop riscv64 as an architecture for kiwi-dracut-oem-dump,
      until kexec-tools are appropriately available on that architecture

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 15 Feb 2023 14:55:43 -0700

kiwi (9.24.54-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable.  Remaining changes:
    * d/control: Drop riscv64 as an architecture for kiwi-dracut-oem-dump,
      until kexec-tools are appropriately available on that architecture

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 12 Dec 2022 10:29:25 -0700

## kiwi 9.25.22

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,9 @@
 	${MAKE} -C tools all
 
 install_dracut:
-	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d
-	cp -a dracut/modules.d/* ${buildroot}usr/lib/dracut/modules.d
+	for dracut in dracut/modules.d/*; do \
+		${MAKE} -C $$dracut install ;\
+	done
 
 install_package_docs:
 	install -d -m 755 ${buildroot}${docdir}/python-kiwi
@@ -50,7 +51,7 @@
 	install -m 644 kiwi.yml ${buildroot}etc/kiwi.yml
 
 tox:
-	tox "-n 5"
+	tox -- "-n 5"
 
 kiwi/schema/kiwi.rng: kiwi/schema/kiwi.rnc
 	# whenever the schema is changed this target will convert

=== tools/Makefile ===
buildroot = /

SRCS := $(wildcard *.c)
PRGS := $(patsubst %.c,%,$(SRCS))

CC = gcc

all: $(PRGS)

%.o: %.c
	$(CC) $(CFLAGS) $< -o $@

clean:
	$(RM) $(PRGS)

install:
	install -d -m 755 ${buildroot}usr/bin
	install -m 755 $(PRGS) ${buildroot}usr/bin

=== debian/changelog ===
kiwi (9.25.22-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    * d/control: Drop riscv64 as an architecture for kiwi-dracut-oem-dump,
      until kexec-tools are appropriately available on that architecture

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 02 Feb 2024 10:57:57 -0700

kiwi (9.25.22-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 10 Jan 2024 20:50:02 +0100

kiwi (9.25.21-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 22 Dec 2023 13:21:50 +0100

kiwi (9.25.20-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 21 Dec 2023 23:13:34 +0100

kiwi (9.25.19-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 01 Dec 2023 16:13:57 +0100

kiwi (9.25.18-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 06 Nov 2023 09:20:05 +0100

kiwi (9.25.17-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 20 Oct 2023 13:07:24 +0200

kiwi (9.25.14-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 09 Oct 2023 22:05:53 +0200

kiwi (9.25.13-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 04 Sep 2023 14:51:40 +0200

kiwi (9.25.12-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 16 Aug 2023 15:12:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kiwi
 Section: otherosfs
 Priority: optional
-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Marcus Schäfer <marcus.schaefer@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -39,6 +40,17 @@
  for Linux supported hardware platforms as well as for virtualization
  and cloud systems.
 
+Package: kiwi-tools
+Architecture: any
+Depends: kiwi,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: KIWI - Collection of boot helper tools
+ This package contains a small set of helper tools used for the KIWI
+ created initial ramdisk which is used to control the very first boot
+ of an appliance. The tools are not meant to be used outside of the
+ scope of KIWI appliance building.
+
 Package: kiwi-dracut-lib
 Architecture: any
 Depends: bc,
@@ -67,7 +79,8 @@
  geometry according to the setup in the kiwi image configuration.
 
 Package: kiwi-dracut-oem-dump
-Architecture: any
+# Removing riscv64 until LP: #1988966 is appropriately resolved
+Architecture: amd64 arm64 armhf ppc64el s390x
 Depends: gawk, kexec-tools, kiwi-dracut-lib, kpartx, ${misc:Depends}
 Description: KIWI - Dracut module for oem(install) image type
  This package contains the kiwi-dump and kiwi-dump-reboot dracut
@@ -99,6 +112,15 @@
  This package contains the kiwi-overlay dracut module which is
  used for booting VMX images built with KIWI and configured to
  use an overlay root filesystem.
+
+Package: kiwi-dracut-verity
+Architecture: any
+Depends: kiwi-dracut-lib, ${misc:Depends}, ${shlibs:Depends}
+Description: KIWI - Dracut module for disks with embedded verity metadata
+ This package contains the kiwi-verity dracut module which is used
+ for booting OEM images built with KIWI and configured to use an
+ embedded verity metadata block via the embed_verity_metadata
+ type attribute.
 
 Package: kiwi-systemdeps-core
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	make -C doc man
 
 override_dh_auto_install:
-	make buildroot=debian/tmp/ install install_dracut
+	make buildroot=$(CURDIR)/debian/tmp/ install install_dracut
 	dh_auto_install
 	rm -f debian/tmp/usr/bin/kiwicompat

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
# PyPI
https://pypi.debian.net/kiwi/kiwi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
